Name:		gstreamer-vaapi
Version:	0.2.12
Release:	1%{?dist}

Summary:	A collection of VA-API based plugins for GStreamer and helper libraries
Group:		System Environment/Libraries
License:	LGPLv2+ and GPLv2+
URL:		http://gitorious.org/vaapi/gstreamer-vaapi/
# Source URL: http://gitorious.org/vaapi/gstreamer-vaapi/archive-tarball/0.2.12
Source0:	vaapi-gstreamer-vaapi-%{version}.tar.gz
Patch0:		gstreamer-vaapi-0.2.4-ffmpeg_headers.patch
BuildRequires:	automake, autoconf, libtool, pkgconfig
BuildRequires:	gtk-doc
BuildRequires:	libX11-devel
BuildRequires:	libGL-devel
BuildRequires:	libva-freeworld-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel


%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen. 


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n vaapi-gstreamer-vaapi
%patch0 -p1 -b .ffmpeg_headers


%build
./autogen.sh
%configure \
    --enable-shared \
    --disable-static \
    --enable-glx \
    --enable-vaapi-glx \
    --enable-vaapisink-glx \
    --enable-gtk-doc \
    --with-html-dir=%{_datadir}/gtk-doc/html/%{name}
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"
find %{buildroot} -regex ".*\.la$" | xargs rm -f --


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING.LIB NEWS README
%{_libdir}/libgstvaapi-0.10.so.0
%{_libdir}/libgstvaapi-0.10.so.0.0.0
%{_libdir}/libgstvaapi-glx-0.10.so.0
%{_libdir}/libgstvaapi-glx-0.10.so.0.0.0
%{_libdir}/libgstvaapi-x11-0.10.so.0
%{_libdir}/libgstvaapi-x11-0.10.so.0.0.0
%{_libdir}/gstreamer-0.10/libgstvaapi.so


%files devel
%defattr(-,root,root,0755)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/gstreamer-0.10/gst/vaapi/
%{_libdir}/libgstvaapi-0.10.so
%{_libdir}/libgstvaapi-glx-0.10.so
%{_libdir}/libgstvaapi-x11-0.10.so
%{_libdir}/pkgconfig/gstreamer-vaapi-0.10.pc
%{_libdir}/pkgconfig/gstreamer-vaapi-glx-0.10.pc
%{_libdir}/pkgconfig/gstreamer-vaapi-x11-0.10.pc


%changelog
* Sun Jun 24 2012 Nux <rpm@li.nux.ro> - 0.2.12-2
- rebuilt against nux-dextop repo

* Mon May 28 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.2.12-1
- spec-file imported from atrpms
- cleaned up spec-file
- updated to 0.2.12 release

